Skip to main content
GET
/
orgs
/
{org_id}
/
graph
Get Org Graph
curl --request GET \
  --url https://api.example.com/orgs/{org_id}/graph
{
  "nodes": [
    {
      "id": "<string>",
      "title": "<string>",
      "num_parents": 0,
      "num_children": 0,
      "num_descendants": 0,
      "num_ancestors": 0,
      "org_id": "<string>"
    }
  ],
  "edges": [
    {
      "source": "<string>",
      "target": "<string>",
      "edge_type": "<string>",
      "label": "<string>",
      "connection_type": "<string>",
      "parent_node_id": "<string>"
    }
  ],
  "total_nodes": 123,
  "total_edges": 123
}

Headers

authorization
string | null

Path Parameters

org_id
string<uuid>
required

Response

Successful Response

Complete org graph for visualization.

nodes
GraphNodeResponse · object[]
required

All nodes in the org

edges
GraphEdge · object[]
required

All edges (parent-child + connections)

total_nodes
integer
required

Total node count

total_edges
integer
required

Total edge count